Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory
Class CannotLoadBeanClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.factory.CannotLoadBeanClassException

All Implemented Interfaces:
  java.io.Serializable

    public class CannotLoadBeanClassException

extends FatalBeanException

Exception thrown when the BeanFactory cannot load the specified class of a given bean.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`CannotLoadBeanClassException(java.lang.String resourceDescription, java.lang.String beanName, java.lang.String beanClassName, java.lang.ClassNotFoundException cause)` Create a new CannotLoadBeanClassException.
`CannotLoadBeanClassException(java.lang.String resourceDescription, java.lang.String beanName, java.lang.String beanClassName, java.lang.LinkageError cause)` Create a new CannotLoadBeanClassException.

Method Summary
`java.lang.String` | `getBeanClassName()` Return the name of the class we were trying to load.
`java.lang.String` | `getBeanName()` Return the name of the bean requested.
`java.lang.String` | `getResourceDescription()` Return the description of the resource that the bean definition came from.

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotLoadBeanClassException

    public CannotLoadBeanClassException(java.lang.String resourceDescription,
                                        java.lang.String beanName,
                                        java.lang.String beanClassName,
                                        java.lang.ClassNotFoundException cause)

  Create a new CannotLoadBeanClassException.

  Parameters:
    `resourceDescription` - description of the resource that the bean definition came from
    `beanName` - the name of the bean requested
    `beanClassName` - the name of the bean class
    `cause` - the root cause

### CannotLoadBeanClassException

    public CannotLoadBeanClassException(java.lang.String resourceDescription,
                                        java.lang.String beanName,
                                        java.lang.String beanClassName,
                                        java.lang.LinkageError cause)

  Create a new CannotLoadBeanClassException.

  Parameters:
    `resourceDescription` - description of the resource that the bean definition came from
    `beanName` - the name of the bean requested
    `beanClassName` - the name of the bean class
    `cause` - the root cause

Method Detail

### getResourceDescription

    public java.lang.String getResourceDescription()

  Return the description of the resource that the bean definition came from.

### getBeanName

    public java.lang.String getBeanName()

  Return the name of the bean requested.

### getBeanClassName

    public java.lang.String getBeanClassName()

  Return the name of the class we were trying to load.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD